Permalink
Browse files

bump to 3.4 with small fixes and tests for 3.1

  • Loading branch information...
1 parent 6d3e9fb commit 90c3ff08ab24249478b69f05907a8adb42d13f03 @Draiken committed Jan 31, 2012
View
@@ -1,4 +1,8 @@
script: "bundle exec rake spec"
rvm:
+ - 1.9.3
- 1.9.2
- 1.8.7
+gemfiles:
+ - Gemfile-rails-3.0.x
+ - Gemfile-rails-3.1.x
View
@@ -0,0 +1,29 @@
+source "http://rubygems.org"
+
+gemspec
+
+gem "kaminari"
+gem "rails", "~> 3.0.0"
+gem "sqlite3"
+gem "jquery-rails"
+
+group :development do
+ gem "ruby-debug19" if RUBY_VERSION == '1.9.2'
+ gem 'guard-rspec'
+ if RUBY_PLATFORM =~ /darwin/i
+ gem 'rb-fsevent'
+ gem 'growl'
+ end
+end
+
+group :test do
+ gem "cucumber"
+ gem "cucumber-rails"
+ gem "capybara"
+ gem "launchy"
+ gem "database_cleaner"
+ gem "rspec-rails"
+end
+# To use debugger (ruby-debug for Ruby 1.8.7+, ruby-debug19 for Ruby 1.9.2+)
+# gem 'ruby-debug'
+# gem 'ruby-debug19'
View
@@ -0,0 +1,178 @@
+PATH
+ remote: .
+ specs:
+ opinio (0.3.4)
+ jquery-rails
+ kaminari
+ rails (~> 3)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ abstract (1.0.0)
+ actionmailer (3.0.11)
+ actionpack (= 3.0.11)
+ mail (~> 2.2.19)
+ actionpack (3.0.11)
+ activemodel (= 3.0.11)
+ activesupport (= 3.0.11)
+ builder (~> 2.1.2)
+ erubis (~> 2.6.6)
+ i18n (~> 0.5.0)
+ rack (~> 1.2.1)
+ rack-mount (~> 0.6.14)
+ rack-test (~> 0.5.7)
+ tzinfo (~> 0.3.23)
+ activemodel (3.0.11)
+ activesupport (= 3.0.11)
+ builder (~> 2.1.2)
+ i18n (~> 0.5.0)
+ activerecord (3.0.11)
+ activemodel (= 3.0.11)
+ activesupport (= 3.0.11)
+ arel (~> 2.0.10)
+ tzinfo (~> 0.3.23)
+ activeresource (3.0.11)
+ activemodel (= 3.0.11)
+ activesupport (= 3.0.11)
+ activesupport (3.0.11)
+ addressable (2.2.6)
+ archive-tar-minitar (0.5.2)
+ arel (2.0.10)
+ builder (2.1.2)
+ capybara (1.1.2)
+ mime-types (>= 1.16)
+ nokogiri (>= 1.3.3)
+ rack (>= 1.0.0)
+ rack-test (>= 0.5.4)
+ selenium-webdriver (~> 2.0)
+ xpath (~> 0.1.4)
+ childprocess (0.3.0)
+ ffi (~> 1.0.6)
+ columnize (0.3.6)
+ cucumber (1.1.4)
+ builder (>= 2.1.2)
+ diff-lcs (>= 1.1.2)
+ gherkin (~> 2.7.1)
+ json (>= 1.4.6)
+ term-ansicolor (>= 1.0.6)
+ cucumber-rails (1.2.1)
+ capybara (>= 1.1.2)
+ cucumber (>= 1.1.3)
+ nokogiri (>= 1.5.0)
+ database_cleaner (0.7.1)
+ diff-lcs (1.1.3)
+ erubis (2.6.6)
+ abstract (>= 1.0.0)
+ ffi (1.0.11)
+ gherkin (2.7.6)
+ json (>= 1.4.6)
+ growl (1.0.3)
+ guard (1.0.0)
+ ffi (>= 0.5.0)
+ thor (~> 0.14.6)
+ guard-rspec (0.6.0)
+ guard (>= 0.10.0)
+ i18n (0.5.0)
+ jquery-rails (1.0.19)
+ railties (~> 3.0)
+ thor (~> 0.14)
+ json (1.6.5)
+ kaminari (0.13.0)
+ actionpack (>= 3.0.0)
+ activesupport (>= 3.0.0)
+ railties (>= 3.0.0)
+ launchy (2.0.5)
+ addressable (~> 2.2.6)
+ linecache19 (0.5.12)
+ ruby_core_source (>= 0.1.4)
+ mail (2.2.19)
+ activesupport (>= 2.3.6)
+ i18n (>= 0.4.0)
+ mime-types (~> 1.16)
+ treetop (~> 1.4.8)
+ mime-types (1.17.2)
+ multi_json (1.0.4)
+ nokogiri (1.5.0)
+ polyglot (0.3.3)
+ rack (1.2.5)
+ rack-mount (0.6.14)
+ rack (>= 1.0.0)
+ rack-test (0.5.7)
+ rack (>= 1.0)
+ rails (3.0.11)
+ actionmailer (= 3.0.11)
+ actionpack (= 3.0.11)
+ activerecord (= 3.0.11)
+ activeresource (= 3.0.11)
+ activesupport (= 3.0.11)
+ bundler (~> 1.0)
+ railties (= 3.0.11)
+ railties (3.0.11)
+ actionpack (= 3.0.11)
+ activesupport (= 3.0.11)
+ rake (>= 0.8.7)
+ rdoc (~> 3.4)
+ thor (~> 0.14.4)
+ rake (0.9.2.2)
+ rb-fsevent (0.9.0)
+ rdoc (3.12)
+ json (~> 1.4)
+ rspec (2.8.0)
+ rspec-core (~> 2.8.0)
+ rspec-expectations (~> 2.8.0)
+ rspec-mocks (~> 2.8.0)
+ rspec-core (2.8.0)
+ rspec-expectations (2.8.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.8.0)
+ rspec-rails (2.8.1)
+ actionpack (>= 3.0)
+ activesupport (>= 3.0)
+ railties (>= 3.0)
+ rspec (~> 2.8.0)
+ ruby-debug-base19 (0.11.25)
+ columnize (>= 0.3.1)
+ linecache19 (>= 0.5.11)
+ ruby_core_source (>= 0.1.4)
+ ruby-debug19 (0.11.6)
+ columnize (>= 0.3.1)
+ linecache19 (>= 0.5.11)
+ ruby-debug-base19 (>= 0.11.19)
+ ruby_core_source (0.1.5)
+ archive-tar-minitar (>= 0.5.2)
+ rubyzip (0.9.5)
+ selenium-webdriver (2.18.0)
+ childprocess (>= 0.2.5)
+ ffi (~> 1.0.9)
+ multi_json (~> 1.0.4)
+ rubyzip
+ sqlite3 (1.3.5)
+ term-ansicolor (1.0.7)
+ thor (0.14.6)
+ treetop (1.4.10)
+ polyglot
+ polyglot (>= 0.3.1)
+ tzinfo (0.3.31)
+ xpath (0.1.4)
+ nokogiri (~> 1.3)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ capybara
+ cucumber
+ cucumber-rails
+ database_cleaner
+ growl
+ guard-rspec
+ jquery-rails
+ kaminari
+ launchy
+ opinio!
+ rails (~> 3.0.0)
+ rb-fsevent
+ rspec-rails
+ ruby-debug19
+ sqlite3
@@ -3,7 +3,7 @@ source "http://rubygems.org"
gemspec
gem "kaminari"
-gem "rails", "~> 3"
+gem "rails", ">= 3.1"
gem "sqlite3"
gem "jquery-rails"
Oops, something went wrong.

0 comments on commit 90c3ff0

Please sign in to comment.